Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
syslogdestination Class Reference

Inherits logdestination.

## Public Member Functions
| syslogdestination ()
| syslogdestination (const syslogdestination &f)
syslogdestination & | operator= (const syslogdestination &f)
virtual | ~syslogdestination ()
void | open (const char *ident, int32_t option, int32_t facility, int32_t priority)
void | close ()

## Detailed Description

The syslogdestination class writes log data to syslog.

## Constructor & Destructor Documentation

syslogdestination::syslogdestination | ( |  | ) |

Creates an instance of the syslogdestination class.

syslogdestination::syslogdestination | ( | const syslogdestination & | f | ) |

Creates an instance of the syslogdestination class that is a copy of "f".

virtual syslogdestination::~syslogdestination | ( |  | ) |
| virtual

Deletes this instance of the syslogdestination class.

## Member Function Documentation

void syslogdestination::close | ( |  | ) |

Closes the syslog as a loggin destination.

void syslogdestination::open | ( | const char * | ident,
|  | int32_t | option,
|  | int32_t | facility,
|  | int32_t | priority
| ) |  |

Opens the syslog as a logging destination using "option", "facility" and "priority". The string "ident" will be prepended to each message.

syslogdestination& syslogdestination::operator= | ( | const syslogdestination & | f | ) |

Makes this instance of the syslogdestination class identical to "f".